services:
  annotation-epstein:
    build: .
    working_dir: /app
    volumes:
      - ./epstein_analysis.db:/app/epstein_analysis.db
      - ./annotation/annotations_csv:/app/annotations_csv
    restart: unless-stopped
    networks:
      - traefik_default
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.annotation-epstein-http.rule=Host(`annotation-epstein.maquette.io`)"
      - "traefik.http.routers.annotation-epstein-http.entrypoints=web"
      - "traefik.http.routers.annotation-epstein-http.middlewares=annotation-epstein-redirect"
      - "traefik.http.middlewares.annotation-epstein-redirect.redirectscheme.scheme=https"
      - "traefik.http.middlewares.annotation-epstein-redirect.redirectscheme.permanent=true"
      - "traefik.http.routers.annotation-epstein.rule=Host(`annotation-epstein.maquette.io`)"
      - "traefik.http.routers.annotation-epstein.entrypoints=websecure"
      - "traefik.http.routers.annotation-epstein.tls.certresolver=letsencrypt"
      - "traefik.http.services.annotation-epstein.loadbalancer.server.port=8001"

networks:
  traefik_default:
    external: true
